#pragma once
#include "board.h"
#include "move.h"
#include "player.h"

class Computer : public Player
{
public:
   using Player::Player;

   std::string getName() const override { return "Computer (Erstes freies Feld)"; }
   Move nextMove(const Board&) override;
};
